# Manual do Utilizador do &kde;

2008-10-03
0.01.01
meinproc4
8

# `meinproc4`

Tradutor do &kde; para XML

## Sintaxe

    meinproc4 --help Opções-genéricas opções-do-Qt opções-do-KDE --cache ficheiro --check --htdig --srcdir --param chave=valor   -o --output   ficheiro  --stdout --stylesheet xsl ficheiro-docbook

## Descrição

O `meinproc4` converte ficheiros DocBook para HTML.

## Opções genéricas

`--author`

  Mostra informações sobre o autor.

`--help`

  Mostra a ajuda acerca das opções.

`--help-all`

  Mostra todas as opções.

`--help-kde`

  Mostra opções específicas do KDE.

`--help-qt`

  Mostra as opções específicas do Qt.

`--license`

  Mostra informações acerca da licença.

`-v``--version`

  Mostra a versão.

## Opções da Aplicação

`--cache` `ficheiro`

  Criar um ficheiro de 'cache' para o documento

`--check`

  Verificar a validade do documento

      O resultado poderá ser bastante exaustivo, dado que um pequeno erro poderá gerar uma enorme cascata de erros.
      O truque é olhar para o primeiro erro, corrigi-lo, gravar o ficheiro e executar o meinproc4 de novo.

`--htdig`

  Criar um índice compatível com o ht://dig

`-o`, `--output` `ficheiro`

  Envia o documento inteiro para o `ficheiro`.

`--stdout`

  Envia todo o documento para o 'stdout' (ecrã).

`--stylesheet` `xsl`

  A folha de estilo a usar

`--srcdir` `pasta`

  Configure a pasta de topo onde procurar as 'kdelibs'

`--param` chave=valor

  Define os parâmetros a passar à folha de estilo.

## Utilização

A forma mais comum de executar o `meinproc4` é tão simples como

    meinproc4 ficheiro-docbook

, onde o ficheiro-docbook é normalmente 'index.docbook'. Este comando cria páginas HTML a partir do ficheiro DocBook. Lembre-se que estas páginas só são visíveis em navegadores baseados no KDE (como o Konqueror).

Se precisar de ver o resultado em HTML noutro navegador (por exemplo, se o quiser pôr 'online'), use

    meinproc4 --stylesheet nome-folha-estilo ficheiro-docbook

, onde o nome-folha-estilo é a localização completa de uma das folhas de estilo em $KDEDIR/share/apps/ksgmltools/customization. Para produzir um resultado adequado para a Web, poderá usar o `kde-web.xsl` ou o `kde-chunk-online.xsl`. Veja o ficheiro README dessa pasta para mais detalhes.

## Veja Também

opções-do-kde(7), opções-do-qt(7)

## Problemas

Existem provavelmente bastantes erros. Use o bugs.kde.org para os comunicar.